Bug 94941 - Web Inspector: [WebGL] Add a test to catch new WebGL context states parameters
Summary: Web Inspector: [WebGL] Add a test to catch new WebGL context states parameters
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Andrey Adaikin
URL:
Keywords:
Depends on: 94933 95183
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-24 08:45 PDT by Andrey Adaikin
Modified: 2012-08-28 02:46 PDT (History)
14 users (show)

See Also:


Attachments
Patch (8.86 KB, patch)
2012-08-27 07:40 PDT, Andrey Adaikin
kbr: review+
webkit.review.bot: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Adaikin 2012-08-24 08:45:42 PDT
So that we don't miss new WebGL state parameters when we save WebGL state in InjectedScriptWebGLModuleSource.js
Comment 1 Andrey Adaikin 2012-08-27 07:40:53 PDT
Created attachment 160716 [details]
Patch
Comment 2 Kenneth Russell 2012-08-27 14:48:14 PDT
Comment on attachment 160716 [details]
Patch

Looks fine -- but I don't think this test will catch any new additions to the spec. It's very unlikely that any of these state variables will be removed from future versions of the OpenGL ES (and therefore WebGL) spec. All that is likely to happen is that new state variables will be added -- and this test won't catch those. Probably the only way of doing so would be to enumerate all properties on the WebGLRenderingContext, remove those you know about, and see if there are any left. I think there is already such a test in the WebGL conformance suite; see http://www.khronos.org/webgl/wiki/Testing/Conformance .
Comment 3 Kenneth Russell 2012-08-27 14:49:27 PDT
Comment on attachment 160716 [details]
Patch

Ah, I see what the test is doing now. OK, looks fine.
Comment 4 WebKit Review Bot 2012-08-27 14:58:33 PDT
Comment on attachment 160716 [details]
Patch

Rejecting attachment 160716 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 1

ERROR: /mnt/git/webkit-commit-queue/LayoutTests/ChangeLog neither lists a valid reviewer nor contains the string "Unreviewed" or "Rubber stamp" (case insensitive).

Full output: http://queues.webkit.org/results/13643018
Comment 5 Andrey Kosyakov 2012-08-28 01:42:25 PDT
Committed r126856: <http://trac.webkit.org/changeset/126856>